new;
library pgraph;

/*
**> simulation d'un LGD alatoire :
**       0% avec une probabilit 25%
**       50% avec une probabilit 50%
**       70% avec une probabilit 15%
**      100% avec une probabilit 10%
*/

let xLGD = 0 0.5 0.7 1;
let PrLGD = 0.25 0.50 0.15 0.10;

PrCumLGD = cumsumc(PrLGD);

Ns = 100000;
u = rndu(Ns,1);
rndLGD = xLGD[1] * ((0 .< u) .and (u .<= PrCumLGD[1])) +
         xLGD[2] * ((PrCumLGD[1] .< u) .and (u .<= PrCumLGD[2])) +
         xLGD[3] * ((PrCumLGD[2] .< u) .and (u .<= PrCumLGD[3])) +
         xLGD[4] * ((PrCumLGD[3] .< u) .and (u .<= PrCumLGD[4]));

empirical_Pr = counts(rndLGD,xLGD)/rows(rndLGD);
print PrLGD~empirical_Pr;

graphset;
  call hist(rndLGD,4);