/*
** Simulation d'un vecteur gaussien corrl
**
*/

new;
library pgraph;

let rho = 1.0 
          0.5  1.0
          0.25 0.5 1.0;

rho = xpnd(rho);             /* Construction de la matrice carre  partir 
                             :: de la partie triangulaire infrieure
                             */

ns = 1000;

P = chol(rho);
X = rndn(ns,rows(rho))*P;

c = corrx(x);

print c;

graphset;                    /* Remise  zro de la bibliothque pgraph */
  _plctrl = -1;              /* Ne pas relier les points                */
  _pcolor = 12;              /* Couleur rouge                           */
  _pstype =  2;              /* Symbole carr                           */
  xyz(x[.,1],x[.,2],x[.,3]); /* Graphique 3D                            */
