new;
cls;

let rho_Intra = 0.30 0.40 0.50 0.60;
let rho_Inter = 0.20;

let index_Sector = 1 1 2 2 4 1 3 3 4 1 1 4 1 3 2 2 2;

I = rows(index_Sector);
S = rows(rho_Intra);
rhoMatrix = zeros(I,I);

for i1(1,I,1);
  for i2(1,I,1);

     if i1 == i2;
       rhoMatrix[i1,i2] = 1.0;
       continue;
     endif;

     if index_Sector[i1] == index_Sector[i2];
       rhoMatrix[i1,i2] = rho_Intra[index_Sector[i1]];
     else;
       rhoMatrix[i1,i2] = rho_Inter;
     endif;

  endfor;
endfor;

format 5,2;
print rhoMatrix;

ns = 1000;
Z1 = rndn(ns,I)*chol(rhoMatrix);

X = rndn(ns,1);
Xs = rndn(ns,S);                
Z2 = sqrt(rho_Inter) * X +                                              /* Facteur commun     */
     sqrt(rho_Intra[index_Sector]'-rho_Inter) .* Xs[.,index_Sector] +   /* Facteur sectoriel  */
     sqrt(1-rho_Intra[index_Sector]') .* rndn(ns,I);                    /* Facteur spcifique */


