new;

let mu = 0.005 0.003 0.002;
let sigma = 0.020 0.030 0.010;

let cor = 1.0
          0.5 1.0
          0.25 0.60 1;
cor = xpnd(cor);
sigma = cor .* sigma' .* sigma;               // Matrice de covariance

let P0 = 244 135 315;                         // Valeur actuelle des actifs
let theta = 2 -1 1;                           // Composition du portefeuille

/*
:: Formule de la VaR analytique gaussienne
:: les facteurs de risque sont les rendements
*/

thetaStar = theta .* P0;
VaR = -thetaStar'*mu + cdfni(0.99)*sqrt(thetaStar'*sigma*thetaStar);  
print VAR;


