/*
** Simulation de temps de dfaut exponentiels
**
*/

new;
library pgraph;

let lambda = 100;           /* lambda = 100 bp */
lambda = lambda / 1e4;

ns = 1000;
u = rndu(ns,1);
tau = -ln(1-u)/lambda;

graphset;
  _pnum = 2; _pdate = 0; _pframe = 0;
  xlabel("Temps de defaut");
  call histp(tau,seqa(0,20,30));