/*
** Simulation de variables alatoires lognormales 
** conditionnelles
**
** Mthode des transformations
**
*/

new;
library pgraph;

fn cdfLN(x,mu,sigma) = cdfn( (ln(x) - mu)./sigma);            /* CDF de la distribution lognormale */
fn cdfLNi(alpha,mu,sigma) = exp(mu + sigma .* cdfni(alpha));      /* Inverse de la CDF lognormale      */

mu = 4;
sigma = 1.25;
H = 500;                           /* Seuil de collecte */

ns = 1000;
Loss = cdfLNi( cdfLN(H,mu,sigma) + rndu(ns,1) .* (1-cdfLN(H,mu,sigma)), mu, sigma);

call histp(Loss,30);