new;

/*
** Loi de Bernoulli de paramtre p
*/

p = 0.3;   
u = rndu(10,1);
b1 = u .>= (1-p);
b2 = u .<= p;

print "Simulation de 10 nombres alatoires de loi B(p)";
print b1~b2;

ns = 100000;
u = rndu(ns,1);
b = u .<= p;
empirical_mean = meanc(b);
empirical_stddev = stdc(b);

theoretical_mean = p;
theoretical_stddev = sqrt( p .* (1-p) );

print (theoretical_mean ~ empirical_mean)|(theoretical_stddev ~ empirical_stddev);





